call_usermodehelper_exec
Prev | Module Loading | Next

## Name

call_usermodehelper_exec — start a usermode application

## Synopsis

`int call_usermodehelper_exec (` | struct subprocess_info * | sub_info,
| enum umh_wait | wait`)`;

## Arguments

`sub_info`

  information about the subprocessa

`wait`

  wait for the application to finish and return status. when -1 don't wait at all, but you get no useful error back when the program couldn't be exec'ed. This makes it safe to call from interrupt context.

## Description

Runs a user-space application. The application is started asynchronously if wait is not set, and runs as a child of keventd. (ie. it runs with full root capabilities).

Prev | Up | Next
call_usermodehelper_stdinpipe | Home | call_usermodehelper_pipe